Loading...
Searching...
No Matches
casacore::ArrayError Class Reference
casa package (libcasa_casa) » Arrays_module

More...

`#include <ArrayError.h>`

## Public Member Functions

| ArrayError ()
| Initialize with the message "ArrayError".
| ArrayError (const char *m)
| Initialize with the supplied message.
| ArrayError (const std::string &m)
| Initialize with the supplied message.
| ~ArrayError () noexcept

## Detailed Description

The base class for all Array exception classes.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

ArrayError is the base class for all the Array-specific exception classes, i.e. if it is caught you will catch (through inheritance) all Array-specific exceptions. Note that (presently, anyway) the Array classes will throw a few non-Array exceptions.

try {
// Some lines, functions,..\.
} catch (ArrayError x) {
// Array specific errors
} catch (std::exception x) {
// All other errors caught here.
}
casacore::ArrayError
Definition ArrayError.h:58

Definition at line 57 of file ArrayError.h.

## Constructor & Destructor Documentation

## ArrayError() [1/3]

casacore::ArrayError::ArrayError | ( |  | ) |

Initialize with the message "ArrayError".

## ArrayError() [2/3]

casacore::ArrayError::ArrayError | ( | const char * | m | ) |

Initialize with the supplied message.

## ArrayError() [3/3]

casacore::ArrayError::ArrayError | ( | const std::string & | m | ) |

Initialize with the supplied message.

## ~ArrayError()

casacore::ArrayError::~ArrayError | ( |  | ) |

noexcept

The documentation for this class was generated from the following file:

- casa/Arrays/ArrayError.h